/*
    QGLView
    Ivan Pelipenko peri4ko@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MATERIAL_MAP_EDITOR_H
#define MATERIAL_MAP_EDITOR_H

#include "glmaterial.h"

#include <QFileDialog>

namespace Ui {
class MaterialMapEditor;
};

class MaterialMapEditor: public QWidget {
	Q_OBJECT

public:
	explicit MaterialMapEditor(QWidget * parent = 0);

	void setMap(const Map & m);
	Map map();

protected:
	void changeEvent(QEvent * e);
	void resizeEvent(QResizeEvent * e);
	void updateIcon();

	bool active;
	Ui::MaterialMapEditor * ui;

private slots:
	void mapChanged() {
		if (active) emit changed();
	}
	void on_buttonSelect_clicked();
	void on_buttonClear_clicked();

signals:
	void changed();
};

#endif // MATERIAL_MAP_EDITOR_H
